Bug 21813 - не предоставляет libjvm.so(SUNWprivate_1.1)
: не предоставляет libjvm.so(SUNWprivate_1.1)
Status: CLOSED DUPLICATE of bug 21812
: Sisyphus
(All bugs in Sisyphus/java-1.6.0-openjdk)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-02 18:20 by
Modified: 2009-10-02 19:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-10-02 18:20:46
программа, у которой в BuildRequires java-devel-openjdk, собирается в hasher,
получая
зависимость
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client/libjvm.so(SUNWprivate_1.1)
, но никто такой не предоставляет.
------- Comment #1 From 2009-10-02 18:58:30 -------
другими словами,
автоматическая зависимость кривая,
ее надо отфильтровать 
и вручную написать requires: java-1.6.0

*** This bug has been marked as a duplicate of bug 21812 ***
------- Comment #2 From 2009-10-02 19:02:26 -------
(В ответ на комментарий №1)
> другими словами,
> автоматическая зависимость кривая,
Дык, исправляйте.

> ее надо отфильтровать 
Как?

> и вручную написать requires: java-1.6.0
Как мне в спеке автоматом узнать, что нужно именно 1.6.0 писать?
------- Comment #3 From 2009-10-02 19:03:45 -------
перенесем обсуждение в 21812

*** This bug has been marked as a duplicate of bug 21812 ***